Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.gui.sequence
Class CircularFeatureFilteringRenderer

    java.lang.Object
      org.biojava.bio.gui.sequence.CircularFeatureFilteringRenderer

All Implemented Interfaces:
  CircularRenderer

    public class CircularFeatureFilteringRenderer

extends Object
implements CircularRenderer

Author:
  Matthew Pocock

Constructor Summary
`CircularFeatureFilteringRenderer(CircularRenderer renderer, FeatureFilter filter, boolean recurse)`

Method Summary
`double` | `getDepth(CircularRendererContext crc)` Get the depth needed for this renderer.
`void` | `paint(Graphics2D g2, CircularRendererContext crc)` Paint this renderer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CircularFeatureFilteringRenderer

    public CircularFeatureFilteringRenderer(CircularRenderer renderer,
                                            FeatureFilter filter,
                                            boolean recurse)

Method Detail

### getDepth

    public double getDepth(CircularRendererContext crc)

  Description copied from interface: `CircularRenderer`
  Get the depth needed for this renderer.

  Specified by:
    `getDepth` in interface `CircularRenderer`
  Parameters:
    `crc` - the CircularRendererContext to render information from
  Returns:
    the depth required to render the context

### paint

    public void paint(Graphics2D g2,
                      CircularRendererContext crc)

  Description copied from interface: `CircularRenderer`
  Paint this renderer.

  Specified by:
    `paint` in interface `CircularRenderer`
  Parameters:
    `g2` - the graphics to paint to
    `crc` - the context giving the data to paint

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD